Subject: Re: [PATCH] net: macb: Fix regression breaking non-MDIO fixed-link PHYs

From: Andrew Lunn <[email-masked]>
Date: Wed, 15 Aug 2018 04:32:33 +0200

On Tue, Aug 14, 2018 at 05:58:12PM +0200, Uwe Kleine-König wrote:
> Hello Ahmad,
> 
> 
> On Tue, Aug 14, 2018 at 04:12:40PM +0200, Ahmad Fatoum wrote:
> > The referenced commit broke initializing macb on the EVB-KSZ9477 eval board.
> > There, of_mdiobus_register was called even for the fixed-link representing
> > the SPI-connected switch PHY, with the result that the driver attempts to
> > enumerate PHYs on a non-existent MDIO bus:
> > 
> > 	libphy: MACB_mii_bus: probed
> > 	mdio_bus f0028000.ethernet-ffffffff: fixed-link has invalid PHY address
> > 	mdio_bus f0028000.ethernet-ffffffff: scan phy fixed-link at address 0
> >         [snip]
> > 	mdio_bus f0028000.ethernet-ffffffff: scan phy fixed-link at address 31
> > 	macb f0028000.ethernet: broken fixed-link specification
> > 
> > Cc: <[email-masked]>
> > Fixes: 739de9a1563a ("net: macb: Reorganize macb_mii bringup")
> 
> I added the people involved in 739de9a1563a to Cc. Maybe they want to
> comment. So not stripping the remaining part of the original mail.

Thanks Uwe for Cc: in my.

Ahmed, where is the device tree for the EVB-KSZ9477?

Thanks
	Andrew